WarRecord (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.records
Class WarRecord

    java.lang.Object
      org.gcube.messaging.common.messages.records.BaseRecord
          org.gcube.messaging.common.messages.records.WarRecord

All Implemented Interfaces:
  Serializable

    public class WarRecord

extends BaseRecord

Author:
  andrea
See Also:
  Serialized Form

Nested Class Summary
`static class` | `WarRecord.WarSubType`

Field Summary

Fields inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`date`

Constructor Summary
`WarRecord()`

Method Summary
`String` | `getAppName()`
`String` | `getAppVersion()`
`String` | `getCategory()`
`WarRecord.WarSubType` | `getSubType()`
`String` | `getWarId()`
`String` | `getWarName()`
`void` | `setAppName(String appName)`
`void` | `setAppVersion(String appVersion)`
`void` | `setCategory(String category)`
`void` | `setSubType(WarRecord.WarSubType subType)`
`void` | `setWarId(String warId)`
`void` | `setWarName(String warName)`

Methods inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarRecord

    public WarRecord()

Method Detail

### getWarId

    public String getWarId()

### setWarId

    public void setWarId(String warId)

### getWarName

    public String getWarName()

### setWarName

    public void setWarName(String warName)

### getCategory

    public String getCategory()

### setCategory

    public void setCategory(String category)

### getAppName

    public String getAppName()

### setAppName

    public void setAppName(String appName)

### getAppVersion

    public String getAppVersion()

### setAppVersion

    public void setAppVersion(String appVersion)

### getSubType

    public WarRecord.WarSubType getSubType()

### setSubType

    public void setSubType(WarRecord.WarSubType subType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.